1
Vote

Database is corrupt or an old version

description

I'm getting the above error and my completionDB never finish being updated.

I'm trying to use the Python interpreter that comes with OSGeo4W. It's throwing the following error.

2014-05-20T13:05:38 FAIL_STDLIB
System.InvalidOperationException: Failed to scrape built-in modules

My environment setting is
Path: C:\OSGeo4W\bin\python.exe
Windows Path: C:\OSGeo4W\bin\pythonw.exe
Library Path: C:\OSGeo4W\apps\Python27\Lib

Architecture: x86
Language: 2.7

I'm currently using VS 2013 with Python Tools 2.0. Tried 2.1 but the same error. Tried deleting the entire folder from AppData but that didn't work too.

I'm a little new with Python. Sorry if the solution is too obvious.

comments

Zooba wrote May 20 at 1:07 PM

If you look in Tools-Python Tools-Diagnostic Info you should find a more detailed error message, probably with a stack trace.

The error you're getting basically means we couldn't even run python.exe, so I'd double check the paths you've entered. They look okay, but they might be wrappers around the actual executables and aren't handling command line arguments properly.